## lunar-calendar 3.0.1

=== meson_options.txt ===
option('introspection',
  type: 'boolean',
  value : false,
  description: 'Build with GObject Introspection support')

option('vapi',
  type: 'boolean',
  value: false,
  description: 'Build to generation vala vapi file')

option('docs',
  type : 'boolean',
  value : false,
  description: 'Enable generating the API reference (depends on GTK-Doc)')

option('tests',
  type : 'boolean',
  value : false,
  description : 'Enable test programs (default: no)')

# For subproject usage
option('package_subdir',
  type: 'string',
  description: 'Private sub-directory used when built as a subproject'
)

=== debian/changelog ===
lunar-calendar (3.0.1-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on gtk-doc-tools.

  [ xiao sheng wen ]
  * run wrap-and-sort -a -s -b -k -t
  * d/control: Bump Standards-Version: 4.7.0, no change needed
  * d/copyright: update year info to 2024
  * d/watch: delete filenamemangle opts, remove debian uupdate

 -- xiao sheng wen <atzlinux@sina.com>  Mon, 15 Jul 2024 16:23:35 +0800

lunar-calendar (3.0.1-2) unstable; urgency=medium

  * Team upload.
  * Source-only upload.
  * debian/: Apply "wrap-and-sort -abst".
  * debian/rules: Enable full hardening.

 -- Boyuan Yang <byang@debian.org>  Wed, 09 Feb 2022 11:14:26 -0500

lunar-calendar (3.0.1-1) unstable; urgency=medium

  [ xiao sheng wen(肖盛文) ]
  * Initial release (Closes: #1003811)

 -- xiao sheng wen <atzlinux@sina.com>  Sun, 16 Jan 2022 11:52:33 +0800

=== debian/control ===
Source: lunar-calendar
Section: libs
Priority: optional
Maintainer: Debian Chinese Team <chinese-developers@lists.alioth.debian.org>
Uploaders:
 xiao sheng wen <atzlinux@sina.com>,
Build-Depends:
 debhelper-compat (= 13),
 dh-exec,
 gtk-doc-tools,
 intltool,
 libgtk-3-dev,
 liblunar-date-dev,
 meson,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/yetist/lunar-calendar
Vcs-Git: https://salsa.debian.org/chinese-team/lunar-calendar.git
Vcs-Browser: https://salsa.debian.org/chinese-team/lunar-calendar

Package: liblunar-calendar-3.0-1
Multi-Arch: same
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Chinese Lunar Calendar widget for GTK+ - so file
 The LunarCalendar provide Chinese lunar Calendar Wieget for GTK+ .
 .
 It support the application that use GTK3 calendar to display Chinese Lunar
 Calendar, such as xfce4-panel, mate-panel, gtk3-widget-factory, etc.
 .
 This package contains so file:
  * liblunar-calendar-3.0.so.1.0.1

Package: liblunar-calendar-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 liblunar-calendar-3.0-1 (= ${binary:Version}),
 ${misc:Depends},
Suggests:
 liblunar-calendar-doc,
Description: Chinese Lunar Calendar widget for GTK+ - develop files
 The LunarCalendar provide Chinese lunar Calendar Wieget for GTK+ .
 .
 It support the application that use GTK3 calendar to display Chinese Lunar
 Calendar, such as xfce4-panel, mate-panel, gtk3-widget-factory, etc.
 .
 This package contains develop files:
  * C headers
  * pkgconfig lunar-calendar-3.0.pc

Package: liblunar-calendar-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Chinese Lunar Calendar widget for GTK+ - API documents
 The LunarCalendar provide Chinese lunar Calendar Wieget for GTK+ .
 .
 It support the application that use GTK3 calendar to display Chinese Lunar
 Calendar, such as xfce4-panel, mate-panel, gtk3-widget-factory, etc.
 .
 This package contains API documents, examples file.

Package: liblunar-calendar-gtk3-module
Multi-Arch: same
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Chinese Lunar Calendar widget for GTK+ - gtk3 module file
 The LunarCalendar provide Chinese lunar Calendar Wieget for GTK+ .
 .
 It support the application that use GTK3 calendar to display Chinese Lunar
 Calendar, such as xfce4-panel, mate-panel, gtk3-widget-factory, etc.
 .
 This package is useful for Chinese GUI Desktop user to display Chinese Lunar
 Calendar.
 .
 This package contains gtk3 module file:
  * liblunar-calendar-module.so

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -Ddocs=true

=== debian/watch ===
version=4
     https://github.com/yetist/lunar-calendar/tags \
     (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
